using System;
using System.Collections;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using System.IO;
using Microsoft.VisualBasic;
using Microsoft.WindowsCE.Forms;
using System.Runtime.InteropServices;

namespace notification
{

    public class NotifyIcon : IDisposable
    {

        static int pxx;
        static int pyy;
        static int timeron=0;
        static Control frm;

        private object[] HoldEventObject;
        private object[] ClickEventObject;
        public event EventHandler Hold;
        public event EventHandler Click;
        static Timer tmr = new Timer();
        
        public int HoldNITime
        {
    		get { return holdtime; }
            set { holdtime = value; }
        }

        private int holdtime = 500;


        public NotifyIcon(Control Frm1)
        {
            frm = Frm1;
            tmr.Tick += new EventHandler(timer_Tick);
			tmr.Interval = holdtime;
  


            HoldEventObject = new object[] { this, "Hold" };
            ClickEventObject = new object[] { this, "Click"};
            
   
          
        }

		void  timer_Tick(object sender, EventArgs e)
        {
	
        }
	



        public void AddNIContextMenu(Control ControlName, System.Windows.Forms.ContextMenu ContextMenu)
        {
           
        }
        public void RemoveNIContextMenu(Control ControlName)
        {
            
        }

        public void SetNIMenuXY(int px, int py) 
        {
      
                
        }

        public void ShowNIMenu()
        {
          
        }


        public void AddNIicon(Icon ike)
        {
          
        }

        public void RemoveNIicon()
        {

           
        }

        public void ModifyNIicon(Icon ike2)
        {
         

        }

        private void TrayMessage(IntPtr hwnd, int dwMessage, uint uID, IntPtr hIcon)
        {
          
        }

        public void Dispose()
        {
        	
           
               
        }



        

        
    }

    public class ContextMenu : IDisposable
    {
        private System.Windows.Forms.ContextMenu cm;
        public event EventHandler Click;
        private object[] eventObject;
        private string selectedText;
        private int selectedIndex;

        public ContextMenu()
        {
            cm = new System.Windows.Forms.ContextMenu();
            eventObject = new object[] { this, "Click" };

        }
        public void CMAddItem(string Text)
        {
            MenuItem mnu = new MenuItem();
            mnu.Text = Text;
            mnu.Click += new EventHandler(mnu_Click);
            cm.MenuItems.Add(mnu);
        }


        public void CMRemoveItem(int Index)
        {
            cm.MenuItems.RemoveAt(Index);
        }

        public string CMSelectedText
        {
            get { return selectedText; }
        }
        public int CMSelectedIndex
        {
            get { return selectedIndex; }
        }
        public int CMCount
        {
            get { return cm.MenuItems.Count; }
        }

        private void mnu_Click(object sender, EventArgs e)
        {
            MenuItem mnu = (MenuItem)sender;
            selectedText = mnu.Text;
            selectedIndex = cm.MenuItems.IndexOf(mnu);
            if (Click != null)
                Click(eventObject, null);
        }
        public System.Windows.Forms.ContextMenu Value
        {
            get { return cm; }
            set { cm = value; }
        }

        public void Dispose()
        {
            Click = null;
            cm = null;
        }

    }

    public class Balloon : IDisposable
    {
		private string response = "";
        private string temp;
        private bool boo;
        private double dub;
        private int inti;
        private Icon ico;
        
        //private Microsoft.WindowsCE.Forms.Notification noti;
        
        private object[] BalloonChangedEventObject;
        private object[] ResponseSubmittedEventObject;


        public event EventHandler BalloonChanged;
        public event EventHandler ResponseSubmitted;


        // constructor
        public Balloon()
        {
          //noti = new Microsoft.WindowsCE.Forms.Notification();

            BalloonChangedEventObject = new object[] { this, "BalloonChanged" };
            ResponseSubmittedEventObject = new object[] { this, "ResponseSubmitted" };

            //noti.BalloonChanged += BalloonChangedEvent;
            //noti.ResponseSubmitted += ResponseSubmittedEvent;

        }



        // private methods
        private void BalloonChangedEvent(object sender, EventArgs e)
        {
       
        }

        private void ResponseSubmittedEvent(object sender, ResponseSubmittedEventArgs e)
        {
           response = e.Response;
            if (ResponseSubmitted != null)
            {
                ResponseSubmitted(ResponseSubmittedEventObject, null);
            }
        }





        //methods
        public void Dispose()
        {
           //noti.BalloonChanged -= BalloonChangedEvent;
                //noti.ResponseSubmitted -= ResponseSubmittedEvent;
                //noti.Dispose();
                //noti = null;
        }

        // properties

        public String BCaption
        { get { return "void"; } set { temp = value; } }

        public bool BCritical
        { get { return boo; } set { boo = value; } }

        public double BDLLversion
        { get { return 0; } }

        public Icon BIcon
        { set { ico = value; } }

        public int BInitialDuration
        { get { return 0; } set { inti = value; } }

        public String BResponse
        { get{return"void";}}

        public String BText
        { get { return "void"; } set { temp = value; } }

        public bool BVisible
        { get { return false; } set { boo = value; } }
    }


    public class IconList : IDisposable
    {
        private ArrayList Ilist;

        // constructor
        public IconList()
        {
            Ilist = new ArrayList();
        }

        // public properties
        public ArrayList ControlRef
        { get { return Ilist; } }

        public int ILcount
        { get { return Ilist.Count; } }

        public double ILDLLversion
        { get { return 1; } }


        // public methods

        public void ILaddstream(Stream path)
        {
            Ilist.Add(new Icon(path));
        }

        public void ILaddicon(Icon icon)
        {
            Ilist.Add(icon);
        }

        public void ILclear()
        {
            Ilist.Clear();
        }

        public Icon ILitem(int index)
        {
            return (Icon)Ilist[index];
        }

        public void Dispose()
        {
            Ilist = null;
        }
    }


}

